<!--formcontato-->
<div id="contato">
	<div class="email">
		<img src="{{URL_BASE}}assets/institucional/images/paperplane.svg"/>
		<h2 class="title text-center">{{title}}</h2>
		<h4 class="subtitle text-center mb-4">{{subtitle}}</h4>
		<form>
			<div
				class="flex-md-grow-1 pr-md-3 pb-md-0 pb-3">
				{# <label for="email" class="sr-only">Password</label> #}
				<input type="email" class="form-control w-100" id="email_input" placeholder="seu email"/>
			</div>
			<div class="flex-grow-1 flex-md-grow-0">
				<button type="button" class="btn btn-light button mb-3 d-md-inline d-block w-100" onclick="storemail()">
					cadastre-se
				</button>
			</div>
		</form>
	</div>
</div>


<!-- Modal -->
<div class="modal fade" id="modal_informative" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-dialog-centered">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="modal_informative">News letter</h5>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>
			<form id="comment_form" action="form.php" method="post">
				<div class="modal-body">
					<div class="form-group">
						<input type="email" class="form-control" id="email" name="email" readonly>
					</div>

					<div class="mt-2" align="center">
						<div class="g-recaptcha" data-sitekey="{{SITE_KEY}}"></div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-primary">Cadastrar</button>
				</div>
			</form>
		</div>
	</div>
</div>
<script src='https://www.google.com/recaptcha/api.js' async defer></script>
<script>

	function storemail() {
		let email = $("#email_input").val();
		var mailformat = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;
		if(!email){
			return alert("informe o email");
		}

		if(email){
			if(!email.match(mailformat)){
				return alert("informe um email válido!");
			}else {
				$("#modal_informative").modal("show");
				$("#email").val(email);
			}
		}


}
</script>

{{js | raw}}
